org.wildfly.swarm.config.resource.adapters.resource_adapter

## Class ConnectionDefinitions<T extends ConnectionDefinitions<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.resource.adapters.resource_adapter.ConnectionDefinitions<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ConnectionDefinitions<T extends ConnectionDefinitions<T>>
      extends HashMap

  Specifies a connection definition.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConnectionDefinitions.ConnectionDefinitionsResources` Child mutators for ConnectionDefinitions
    `static class` | `ConnectionDefinitions.FlushStrategy`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionDefinitions(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `allocationRetry()` The allocation retry element indicates the number of times that allocating a connection should be tried before throwing an exception.
    `T` | `allocationRetry(Integer value)` The allocation retry element indicates the number of times that allocating a connection should be tried before throwing an exception.
    `Long` | `allocationRetryWaitMillis()` The allocation retry wait millis element specifies the amount of time, in milliseconds, to wait between retrying to allocate a connection.
    `T` | `allocationRetryWaitMillis(Long value)` The allocation retry wait millis element specifies the amount of time, in milliseconds, to wait between retrying to allocate a connection.
    `Boolean` | `backgroundValidation()` An element to specify that connections should be validated on a background thread versus being validated prior to use.
    `T` | `backgroundValidation(Boolean value)` An element to specify that connections should be validated on a background thread versus being validated prior to use.
    `Long` | `backgroundValidationMillis()` The background-validation-millis element specifies the amount of time, in milliseconds, that background validation will run.
    `T` | `backgroundValidationMillis(Long value)` The background-validation-millis element specifies the amount of time, in milliseconds, that background validation will run.
    `Long` | `blockingTimeoutWaitMillis()` The blocking-timeout-millis element specifies the maximum time, in milliseconds, to block while waiting for a connection before throwing an exception.
    `T` | `blockingTimeoutWaitMillis(Long value)` The blocking-timeout-millis element specifies the maximum time, in milliseconds, to block while waiting for a connection before throwing an exception.
    `String` | `capacityDecrementerClass()` Class defining the policy for decrementing connections in the pool
    `T` | `capacityDecrementerClass(String value)` Class defining the policy for decrementing connections in the pool
    `Map` | `capacityDecrementerProperties()` Properties to inject in class defining the policy for decrementing connections in the pool
    `T` | `capacityDecrementerProperties(Map value)` Properties to inject in class defining the policy for decrementing connections in the pool
    `T` | `capacityDecrementerProperty(String key, Object value)` Properties to inject in class defining the policy for decrementing connections in the pool
    `String` | `capacityIncrementerClass()` Class defining the policy for incrementing connections in the pool
    `T` | `capacityIncrementerClass(String value)` Class defining the policy for incrementing connections in the pool
    `Map` | `capacityIncrementerProperties()` Properties to inject in class defining the policy for incrementing connections in the pool
    `T` | `capacityIncrementerProperties(Map value)` Properties to inject in class defining the policy for incrementing connections in the pool
    `T` | `capacityIncrementerProperty(String key, Object value)` Properties to inject in class defining the policy for incrementing connections in the pool
    `String` | `className()` Specifies the fully qualified class name of a managed connection factory or admin object.
    `T` | `className(String value)` Specifies the fully qualified class name of a managed connection factory or admin object.
    `T` | `configProperties(ConfigProperties value)` Add the ConfigProperties object to the list of subresources
    `T` | `configProperties(ConfigPropertiesSupplier supplier)` Install a supplied ConfigProperties object to the list of subresources
    `T` | `configProperties(List<ConfigProperties> value)` Add all ConfigProperties objects to this subresource
    `T` | `configProperties(String childKey)` Create and configure a ConfigProperties object to the list of subresources
    `T` | `configProperties(String childKey, ConfigPropertiesConsumer consumer)` Create and configure a ConfigProperties object to the list of subresources
    `Boolean` | `connectable()` Enable the use of CMR.
    `T` | `connectable(Boolean value)` Enable the use of CMR.
    `Boolean` | `enabled()` Specifies if the resource adapter should be enabled.
    `T` | `enabled(Boolean value)` Specifies if the resource adapter should be enabled.
    `Boolean` | `enlistment()` Defines if lazy enlistment should be used if supported by the resource adapter.
    `T` | `enlistment(Boolean value)` Defines if lazy enlistment should be used if supported by the resource adapter.
    `Boolean` | `enlistmentTrace()` Defines if WildFly/IronJacamar should record enlistment traces
    `T` | `enlistmentTrace(Boolean value)` Defines if WildFly/IronJacamar should record enlistment traces
    `ConnectionDefinitions.FlushStrategy` | `flushStrategy()` Specifies how the pool should be flush in case of an error.
    `T` | `flushStrategy(ConnectionDefinitions.FlushStrategy value)` Specifies how the pool should be flush in case of an error.
    `String` | `getKey()`
    `Long` | `idleTimeoutMinutes()` The idle-timeout-minutes elements specifies the maximum time, in minutes, a connection may be idle before being closed.
    `T` | `idleTimeoutMinutes(Long value)` The idle-timeout-minutes elements specifies the maximum time, in minutes, a connection may be idle before being closed.
    `Integer` | `initialPoolSize()` TThe initial-pool-size element indicates the initial number of connections a pool should hold.
    `T` | `initialPoolSize(Integer value)` TThe initial-pool-size element indicates the initial number of connections a pool should hold.
    `Boolean` | `interleaving()` An element to enable interleaving for XA connections.
    `T` | `interleaving(Boolean value)` An element to enable interleaving for XA connections.
    `String` | `jndiName()` Specifies the JNDI name for the connection factory.
    `T` | `jndiName(String value)` Specifies the JNDI name for the connection factory.
    `Integer` | `maxPoolSize()` The max-pool-size element specifies the maximum number of connections for a pool.
    `T` | `maxPoolSize(Integer value)` The max-pool-size element specifies the maximum number of connections for a pool.
    `String` | `mcp()` Defines the ManagedConnectionPool implementation, f.ex.
    `T` | `mcp(String value)` Defines the ManagedConnectionPool implementation, f.ex.
    `Integer` | `minPoolSize()` The min-pool-size element specifies the minimum number of connections for a pool.
    `T` | `minPoolSize(Integer value)` The min-pool-size element specifies the minimum number of connections for a pool.
    `Boolean` | `noRecovery()` Specifies if the connection pool should be excluded from recovery.
    `T` | `noRecovery(Boolean value)` Specifies if the connection pool should be excluded from recovery.
    `Boolean` | `noTxSeparatePool()` Oracle does not like XA connections getting used both inside and outside a JTA transaction.
    `T` | `noTxSeparatePool(Boolean value)` Oracle does not like XA connections getting used both inside and outside a JTA transaction.
    `Boolean` | `padXid()` Should the Xid be padded.
    `T` | `padXid(Boolean value)` Should the Xid be padded.
    `Boolean` | `poolFair()` Defines if pool should use be fair
    `T` | `poolFair(Boolean value)` Defines if pool should use be fair
    `Boolean` | `poolPrefill()` Should the pool be prefilled.
    `T` | `poolPrefill(Boolean value)` Should the pool be prefilled.
    `Boolean` | `poolUseStrictMin()` Specifies if the min-pool-size should be considered strictly.
    `T` | `poolUseStrictMin(Boolean value)` Specifies if the min-pool-size should be considered strictly.
    `String` | `recoveryPassword()` The password used for recovery.
    `T` | `recoveryPassword(String value)` The password used for recovery.
    `String` | `recoveryPluginClassName()` The fully qualified class name of the recovery plugin implementation.
    `T` | `recoveryPluginClassName(String value)` The fully qualified class name of the recovery plugin implementation.
    `Map` | `recoveryPluginProperties()` The properties for the recovery plugin.
    `T` | `recoveryPluginProperties(Map value)` The properties for the recovery plugin.
    `T` | `recoveryPluginProperty(String key, Object value)` The properties for the recovery plugin.
    `String` | `recoverySecurityDomain()` The security domain used for recovery.
    `T` | `recoverySecurityDomain(String value)` The security domain used for recovery.
    `String` | `recoveryUsername()` The user name used for recovery.
    `T` | `recoveryUsername(String value)` The user name used for recovery.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `sameRmOverride()` The is-same-rm-override element allows one to unconditionally set whether the javax.transaction.xa.XAResource.isSameRM(XAResource) returns true or false.
    `T` | `sameRmOverride(Boolean value)` The is-same-rm-override element allows one to unconditionally set whether the javax.transaction.xa.XAResource.isSameRM(XAResource) returns true or false.
    `Boolean` | `securityApplication()` Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.
    `T` | `securityApplication(Boolean value)` Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.
    `String` | `securityDomain()` Specifies the security domain which defines the javax.security.auth.Subject that are used to distinguish connections in the pool.
    `T` | `securityDomain(String value)` Specifies the security domain which defines the javax.security.auth.Subject that are used to distinguish connections in the pool.
    `String` | `securityDomainAndApplication()` Indicates that either app supplied parameters (such as from getConnection(user, pw)) or Subject (from security domain) are used to distinguish connections in the pool.
    `T` | `securityDomainAndApplication(String value)` Indicates that either app supplied parameters (such as from getConnection(user, pw)) or Subject (from security domain) are used to distinguish connections in the pool.
    `Boolean` | `sharable()` Enable the use of sharable connections which allows lazy association to be enabled if supported
    `T` | `sharable(Boolean value)` Enable the use of sharable connections which allows lazy association to be enabled if supported
    `ConnectionDefinitions.ConnectionDefinitionsResources` | `subresources()`
    `Boolean` | `tracking()` Defines if IronJacamar should track connection handles across transaction boundaries
    `T` | `tracking(Boolean value)` Defines if IronJacamar should track connection handles across transaction boundaries
    `Boolean` | `useCcm()` Enable the use of a cached connection manager.
    `T` | `useCcm(Boolean value)` Enable the use of a cached connection manager.
    `Boolean` | `useFastFail()` Whether to fail a connection allocation on the first try if it is invalid (true) or keep trying until the pool is exhausted of all potential connections (false).
    `T` | `useFastFail(Boolean value)` Whether to fail a connection allocation on the first try if it is invalid (true) or keep trying until the pool is exhausted of all potential connections (false).
    `Boolean` | `useJavaContext()` Setting this to false will bind the object into global JNDI.
    `T` | `useJavaContext(Boolean value)` Setting this to false will bind the object into global JNDI.
    `Boolean` | `validateOnMatch()` The validate-on-match element specifies if connection validation should be done when a connection factory attempts to match a managed connection.
    `T` | `validateOnMatch(Boolean value)` The validate-on-match element specifies if connection validation should be done when a connection factory attempts to match a managed connection.
    `Boolean` | `wrapXaResource()` Should the XAResource instances be wrapped in an org.jboss.tm.XAResourceWrapper instance.
    `T` | `wrapXaResource(Boolean value)` Should the XAResource instances be wrapped in an org.jboss.tm.XAResourceWrapper instance.
    `Integer` | `xaResourceTimeout()` The value is passed to XAResource.setTransactionTimeout(), in seconds.
    `T` | `xaResourceTimeout(Integer value)` The value is passed to XAResource.setTransactionTimeout(), in seconds.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ConnectionDefinitions

          public ConnectionDefinitions(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ConnectionDefinitions.ConnectionDefinitionsResources subresources()

    - #### configProperties

          public T configProperties(List<ConfigProperties> value)

      Add all ConfigProperties objects to this subresource
      Parameters:
        `value` - List of ConfigProperties objects.
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigProperties value)

      Add the ConfigProperties object to the list of subresources
      Parameters:
        `value` - The ConfigProperties to add
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey,
                                    ConfigPropertiesConsumer consumer)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
        `config` - The ConfigPropertiesConsumer to use
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigPropertiesSupplier supplier)

      Install a supplied ConfigProperties object to the list of subresources

    - #### allocationRetry

          public Integer allocationRetry()

      The allocation retry element indicates the number of times that allocating a connection should be tried before throwing an exception.

    - #### allocationRetry

          public T allocationRetry(Integer value)

      The allocation retry element indicates the number of times that allocating a connection should be tried before throwing an exception.

    - #### allocationRetryWaitMillis

          public Long allocationRetryWaitMillis()

      The allocation retry wait millis element specifies the amount of time, in milliseconds, to wait between retrying to allocate a connection.

    - #### allocationRetryWaitMillis

          public T allocationRetryWaitMillis(Long value)

      The allocation retry wait millis element specifies the amount of time, in milliseconds, to wait between retrying to allocate a connection.

    - #### backgroundValidation

          public Boolean backgroundValidation()

      An element to specify that connections should be validated on a background thread versus being validated prior to use. Changing this value requires a server restart.

    - #### backgroundValidation

          public T backgroundValidation(Boolean value)

      An element to specify that connections should be validated on a background thread versus being validated prior to use. Changing this value requires a server restart.

    - #### backgroundValidationMillis

          public Long backgroundValidationMillis()

      The background-validation-millis element specifies the amount of time, in milliseconds, that background validation will run. Changing this value requires a server restart.

    - #### backgroundValidationMillis

          public T backgroundValidationMillis(Long value)

      The background-validation-millis element specifies the amount of time, in milliseconds, that background validation will run. Changing this value requires a server restart.

    - #### blockingTimeoutWaitMillis

          public Long blockingTimeoutWaitMillis()

      The blocking-timeout-millis element specifies the maximum time, in milliseconds, to block while waiting for a connection before throwing an exception. Note that this blocks only while waiting for locking a connection, and will never throw an exception if creating a new connection takes an inordinately long time.

    - #### blockingTimeoutWaitMillis

          public T blockingTimeoutWaitMillis(Long value)

      The blocking-timeout-millis element specifies the maximum time, in milliseconds, to block while waiting for a connection before throwing an exception. Note that this blocks only while waiting for locking a connection, and will never throw an exception if creating a new connection takes an inordinately long time.

    - #### capacityDecrementerClass

          public String capacityDecrementerClass()

      Class defining the policy for decrementing connections in the pool

    - #### capacityDecrementerClass

          public T capacityDecrementerClass(String value)

      Class defining the policy for decrementing connections in the pool

    - #### capacityDecrementerProperties

          public Map capacityDecrementerProperties()

      Properties to inject in class defining the policy for decrementing connections in the pool

    - #### capacityDecrementerProperties

          public T capacityDecrementerProperties(Map value)

      Properties to inject in class defining the policy for decrementing connections in the pool

    - #### capacityDecrementerProperty

          public T capacityDecrementerProperty(String key,
                                               Object value)

      Properties to inject in class defining the policy for decrementing connections in the pool

    - #### capacityIncrementerClass

          public String capacityIncrementerClass()

      Class defining the policy for incrementing connections in the pool

    - #### capacityIncrementerClass

          public T capacityIncrementerClass(String value)

      Class defining the policy for incrementing connections in the pool

    - #### capacityIncrementerProperties

          public Map capacityIncrementerProperties()

      Properties to inject in class defining the policy for incrementing connections in the pool

    - #### capacityIncrementerProperties

          public T capacityIncrementerProperties(Map value)

      Properties to inject in class defining the policy for incrementing connections in the pool

    - #### capacityIncrementerProperty

          public T capacityIncrementerProperty(String key,
                                               Object value)

      Properties to inject in class defining the policy for incrementing connections in the pool

    - #### className

          public String className()

      Specifies the fully qualified class name of a managed connection factory or admin object.

    - #### className

          public T className(String value)

      Specifies the fully qualified class name of a managed connection factory or admin object.

    - #### connectable

          public Boolean connectable()

      Enable the use of CMR. This feature means that a local resource can reliably participate in an XA transaction.

    - #### connectable

          public T connectable(Boolean value)

      Enable the use of CMR. This feature means that a local resource can reliably participate in an XA transaction.

    - #### enabled

          public Boolean enabled()

      Specifies if the resource adapter should be enabled.

    - #### enabled

          public T enabled(Boolean value)

      Specifies if the resource adapter should be enabled.

    - #### enlistment

          public Boolean enlistment()

      Defines if lazy enlistment should be used if supported by the resource adapter.

    - #### enlistment

          public T enlistment(Boolean value)

      Defines if lazy enlistment should be used if supported by the resource adapter.

    - #### enlistmentTrace

          public Boolean enlistmentTrace()

      Defines if WildFly/IronJacamar should record enlistment traces

    - #### enlistmentTrace

          public T enlistmentTrace(Boolean value)

      Defines if WildFly/IronJacamar should record enlistment traces

    - #### flushStrategy

          public ConnectionDefinitions.FlushStrategy flushStrategy()

      Specifies how the pool should be flush in case of an error. Valid values are: FailingConnectionOnly (default), IdleConnections and EntirePool.

    - #### flushStrategy

          public T flushStrategy(ConnectionDefinitions.FlushStrategy value)

      Specifies how the pool should be flush in case of an error. Valid values are: FailingConnectionOnly (default), IdleConnections and EntirePool.

    - #### idleTimeoutMinutes

          public Long idleTimeoutMinutes()

      The idle-timeout-minutes elements specifies the maximum time, in minutes, a connection may be idle before being closed. The actual maximum time depends also on the IdleRemover scan time, which is half of the smallest idle-timeout-minutes value of any pool. Changing this value requires a server restart..

    - #### idleTimeoutMinutes

          public T idleTimeoutMinutes(Long value)

      The idle-timeout-minutes elements specifies the maximum time, in minutes, a connection may be idle before being closed. The actual maximum time depends also on the IdleRemover scan time, which is half of the smallest idle-timeout-minutes value of any pool. Changing this value requires a server restart..

    - #### initialPoolSize

          public Integer initialPoolSize()

      TThe initial-pool-size element indicates the initial number of connections a pool should hold.

    - #### initialPoolSize

          public T initialPoolSize(Integer value)

      TThe initial-pool-size element indicates the initial number of connections a pool should hold.

    - #### interleaving

          public Boolean interleaving()

      An element to enable interleaving for XA connections.

    - #### interleaving

          public T interleaving(Boolean value)

      An element to enable interleaving for XA connections.

    - #### jndiName

          public String jndiName()

      Specifies the JNDI name for the connection factory.

    - #### jndiName

          public T jndiName(String value)

      Specifies the JNDI name for the connection factory.

    - #### maxPoolSize

          public Integer maxPoolSize()

      The max-pool-size element specifies the maximum number of connections for a pool. No more connections will be created in each sub-pool.

    - #### maxPoolSize

          public T maxPoolSize(Integer value)

      The max-pool-size element specifies the maximum number of connections for a pool. No more connections will be created in each sub-pool.

    - #### mcp

          public String mcp()

      Defines the ManagedConnectionPool implementation, f.ex. org.jboss.jca.core .connectionmanager.pool.mcp.SemaphoreArrayListManagedConnectionPool

    - #### mcp

          public T mcp(String value)

      Defines the ManagedConnectionPool implementation, f.ex. org.jboss.jca.core .connectionmanager.pool.mcp.SemaphoreArrayListManagedConnectionPool

    - #### minPoolSize

          public Integer minPoolSize()

      The min-pool-size element specifies the minimum number of connections for a pool.

    - #### minPoolSize

          public T minPoolSize(Integer value)

      The min-pool-size element specifies the minimum number of connections for a pool.

    - #### noRecovery

          public Boolean noRecovery()

      Specifies if the connection pool should be excluded from recovery.

    - #### noRecovery

          public T noRecovery(Boolean value)

      Specifies if the connection pool should be excluded from recovery.

    - #### noTxSeparatePool

          public Boolean noTxSeparatePool()

      Oracle does not like XA connections getting used both inside and outside a JTA transaction. To workaround the problem you can create separate sub-pools for the different contexts.

    - #### noTxSeparatePool

          public T noTxSeparatePool(Boolean value)

      Oracle does not like XA connections getting used both inside and outside a JTA transaction. To workaround the problem you can create separate sub-pools for the different contexts.

    - #### padXid

          public Boolean padXid()

      Should the Xid be padded.

    - #### padXid

          public T padXid(Boolean value)

      Should the Xid be padded.

    - #### poolFair

          public Boolean poolFair()

      Defines if pool should use be fair

    - #### poolFair

          public T poolFair(Boolean value)

      Defines if pool should use be fair

    - #### poolPrefill

          public Boolean poolPrefill()

      Should the pool be prefilled. Changing this value requires a server restart.

    - #### poolPrefill

          public T poolPrefill(Boolean value)

      Should the pool be prefilled. Changing this value requires a server restart.

    - #### poolUseStrictMin

          public Boolean poolUseStrictMin()

      Specifies if the min-pool-size should be considered strictly.

    - #### poolUseStrictMin

          public T poolUseStrictMin(Boolean value)

      Specifies if the min-pool-size should be considered strictly.

    - #### recoveryPassword

          public String recoveryPassword()

      The password used for recovery.

    - #### recoveryPassword

          public T recoveryPassword(String value)

      The password used for recovery.

    - #### recoveryPluginClassName

          public String recoveryPluginClassName()

      The fully qualified class name of the recovery plugin implementation.

    - #### recoveryPluginClassName

          public T recoveryPluginClassName(String value)

      The fully qualified class name of the recovery plugin implementation.

    - #### recoveryPluginProperties

          public Map recoveryPluginProperties()

      The properties for the recovery plugin.

    - #### recoveryPluginProperties

          public T recoveryPluginProperties(Map value)

      The properties for the recovery plugin.

    - #### recoveryPluginProperty

          public T recoveryPluginProperty(String key,
                                          Object value)

      The properties for the recovery plugin.

    - #### recoverySecurityDomain

          public String recoverySecurityDomain()

      The security domain used for recovery.

    - #### recoverySecurityDomain

          public T recoverySecurityDomain(String value)

      The security domain used for recovery.

    - #### recoveryUsername

          public String recoveryUsername()

      The user name used for recovery.

    - #### recoveryUsername

          public T recoveryUsername(String value)

      The user name used for recovery.

    - #### sameRmOverride

          public Boolean sameRmOverride()

      The is-same-rm-override element allows one to unconditionally set whether the javax.transaction.xa.XAResource.isSameRM(XAResource) returns true or false.

    - #### sameRmOverride

          public T sameRmOverride(Boolean value)

      The is-same-rm-override element allows one to unconditionally set whether the javax.transaction.xa.XAResource.isSameRM(XAResource) returns true or false.

    - #### securityApplication

          public Boolean securityApplication()

      Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.

    - #### securityApplication

          public T securityApplication(Boolean value)

      Indicates that app supplied parameters (such as from getConnection(user, pw)) are used to distinguish connections in the pool.

    - #### securityDomain

          public String securityDomain()

      Specifies the security domain which defines the javax.security.auth.Subject that are used to distinguish connections in the pool.

    - #### securityDomain

          public T securityDomain(String value)

      Specifies the security domain which defines the javax.security.auth.Subject that are used to distinguish connections in the pool.

    - #### securityDomainAndApplication

          public String securityDomainAndApplication()

      Indicates that either app supplied parameters (such as from getConnection(user, pw)) or Subject (from security domain) are used to distinguish connections in the pool.

    - #### securityDomainAndApplication

          public T securityDomainAndApplication(String value)

      Indicates that either app supplied parameters (such as from getConnection(user, pw)) or Subject (from security domain) are used to distinguish connections in the pool.

    - #### sharable

          public Boolean sharable()

      Enable the use of sharable connections which allows lazy association to be enabled if supported

    - #### sharable

          public T sharable(Boolean value)

      Enable the use of sharable connections which allows lazy association to be enabled if supported

    - #### tracking

          public Boolean tracking()

      Defines if IronJacamar should track connection handles across transaction boundaries

    - #### tracking

          public T tracking(Boolean value)

      Defines if IronJacamar should track connection handles across transaction boundaries

    - #### useCcm

          public Boolean useCcm()

      Enable the use of a cached connection manager.

    - #### useCcm

          public T useCcm(Boolean value)

      Enable the use of a cached connection manager.

    - #### useFastFail

          public Boolean useFastFail()

      Whether to fail a connection allocation on the first try if it is invalid (true) or keep trying until the pool is exhausted of all potential connections (false).

    - #### useFastFail

          public T useFastFail(Boolean value)

      Whether to fail a connection allocation on the first try if it is invalid (true) or keep trying until the pool is exhausted of all potential connections (false).

    - #### useJavaContext

          public Boolean useJavaContext()

      Setting this to false will bind the object into global JNDI.

    - #### useJavaContext

          public T useJavaContext(Boolean value)

      Setting this to false will bind the object into global JNDI.

    - #### validateOnMatch

          public Boolean validateOnMatch()

      The validate-on-match element specifies if connection validation should be done when a connection factory attempts to match a managed connection. This is typically exclusive to the use of background validation

    - #### validateOnMatch

          public T validateOnMatch(Boolean value)

      The validate-on-match element specifies if connection validation should be done when a connection factory attempts to match a managed connection. This is typically exclusive to the use of background validation

    - #### wrapXaResource

          public Boolean wrapXaResource()

      Should the XAResource instances be wrapped in an org.jboss.tm.XAResourceWrapper instance.

    - #### wrapXaResource

          public T wrapXaResource(Boolean value)

      Should the XAResource instances be wrapped in an org.jboss.tm.XAResourceWrapper instance.

    - #### xaResourceTimeout

          public Integer xaResourceTimeout()

      The value is passed to XAResource.setTransactionTimeout(), in seconds. Default is zero.

    - #### xaResourceTimeout

          public T xaResourceTimeout(Integer value)

      The value is passed to XAResource.setTransactionTimeout(), in seconds. Default is zero.

Copyright © 2017 JBoss by Red Hat. All rights reserved.